//battle_enemies.js
//Data file containing all enemies




function TrainerEncounter()
{
	
	//If the trainer wasn't beaten yet, say encounter text and battle.
	if (!Enemies[GetCurrentPerson()].beaten)
	{
		for (var i = 0; i < Enemies[GetCurrentPerson()].encounterText.length; i++)
			TextBox(Enemies[GetCurrentPerson()].encounterText[i]);
		
		StupidBattle(Enemies[GetCurrentPerson()]);
	}
	
	
	//Else, say afterwards text.
	else
	{
		for (var i = 0; i < Enemies[GetCurrentPerson()].afterText.length; i++)
			TextBox(Enemies[GetCurrentPerson()].afterText[i]);
	}
}





var Enemies = new Object();
var WildPokemon = new Object();


function Enemy()
{
	this.type;					//"pokemon" or "trainer"
	this.trainertype;			//If it's a trainer, what kind of trainer?
	this.trainername;			//His name!
	
	this.pokemon;				//A trainer has an array of Pokmon here, a single Pokemon has no array but direct stats.
	
	this.beatenText;
	this.afterText;
	this.encounterText;
	this.money;
	
	this.beaten = false;
}





//ROUTE 29

WildPokemon["Route 29"] = new Array();
	
	WildPokemon["Route 29"][0] = new Enemy();
		WildPokemon["Route 29"][0].type = "wild";
		WildPokemon["Route 29"][0].pokemon = PokemonList[161];		//Sentret

	WildPokemon["Route 29"][1] = new Enemy();
		WildPokemon["Route 29"][1].type = "wild";
		WildPokemon["Route 29"][1].pokemon = PokemonList[16];			//Pidgey
/*
	WildPokemon["Route 29"][2] = new Enemy();
		WildPokemon["Route 29"][2].type = "wild";
		WildPokemon["Route 29"][2].pokemon = PokemonList[];		//

	WildPokemon["Route 29"][3] = new Enemy();
		WildPokemon["Route 29"][3].type = "wild";
		WildPokemon["Route 29"][3].pokemon = PokemonList[];		//

	WildPokemon["Route 29"][4] = new Enemy();
		WildPokemon["Route 29"][4].type = "wild";
		WildPokemon["Route 29"][4].pokemon = PokemonList[];		//
*/




//ROUTE 30

Enemies["Bug Catcher Don"] = new Enemy();
	Enemies["Bug Catcher Don"].type = "trainer";
	Enemies["Bug Catcher Don"].trainertype = "Bug Catcher";
	Enemies["Bug Catcher Don"].trainername = "Don";
	
	Enemies["Bug Catcher Don"].pokemon = new Array();
	Enemies["Bug Catcher Don"].pokemon[0] = PokemonList[10];		//Caterpie
	Enemies["Bug Catcher Don"].pokemon[1] = PokemonList[10];
	
	Enemies["Bug Catcher Don"].encounterText =["Instead of a bug POKMON, I found a trainer!"];
	Enemies["Bug Catcher Don"].beatenText = 	["Argh! You're too strong!"];
	Enemies["Bug Catcher Don"].afterText =		["I ran out of POKBALLS while I was catching POKMON. I should've bought some more..."];
	
	Enemies["Bug Catcher Don"].money = 48;


Enemies["Youngster Joey"] = new Enemy();
	Enemies["Youngster Joey"].type = "trainer";
	Enemies["Youngster Joey"].trainertype = "Youngster";
	Enemies["Youngster Joey"].trainername = "Joey";
	
	Enemies["Youngster Joey"].pokemon = new Array();
	Enemies["Youngster Joey"].pokemon[0] = PokemonList[19];		//Rattata
	
	Enemies["Youngster Joey"].encounterText = ["I just lost, so I'm trying to find more POKMON.",
															 "Wait! You look weak! Come on, let's battle!"];
	Enemies["Youngster Joey"].beatenText = 	["Ugh. I don't have more POKMON."];
	Enemies["Youngster Joey"].afterText = 		["I ran out of POKBALLS while I was catching POKMON.",
															 "I should've bought some more..."];										
	Enemies["Youngster Joey"].money = 64;


Enemies["Youngster Mikey"] = new Enemy();
	Enemies["Youngster Mikey"].type = "trainer";
	Enemies["Youngster Mikey"].trainertype = "Youngster";
	Enemies["Youngster Mikey"].trainername = "Mikey";
	
	Enemies["Youngster Mikey"].pokemon = new Array();
	Enemies["Youngster Mikey"].pokemon[0] = PokemonList[19];
	Enemies["Youngster Mikey"].pokemon[1] = PokemonList[16];		//Pidgey
	
	Enemies["Youngster Mikey"].encounterText = ["You're a POKMON trainer, right? Then you have to battle!"];
	Enemies["Youngster Mikey"].beatenText = 	 ["That's strange. I won before."];
	Enemies["Youngster Mikey"].afterText = 	 ["Becoming a good trainer is really tough.", "I'm going to battle other people to get better."];
	Enemies["Youngster Mikey"].money = 64;



//ROUTE 31
Enemies["Bug Catcher Wade"] = new Enemy();
	Enemies["Bug Catcher Wade"].type = "trainer";
	Enemies["Bug Catcher Wade"].trainertype = "Bug Catcher";
	Enemies["Bug Catcher Wade"].trainername = "Wade";
	
	Enemies["Bug Catcher Wade"].pokemon = new Array();
	Enemies["Bug Catcher Wade"].pokemon[0] = PokemonList[10];
	Enemies["Bug Catcher Wade"].pokemon[1] = PokemonList[10];
	Enemies["Bug Catcher Wade"].pokemon[2] = PokemonList[13];		//Weedle
	Enemies["Bug Catcher Wade"].pokemon[3] = PokemonList[10];
	
	Enemies["Bug Catcher Wade"].encounterText = ["I caught a bunch of POKMON. Let me battle with you!"];
	Enemies["Bug Catcher Wade"].beatenText = 	  ["Awwwww..."];
	Enemies["Bug Catcher Wade"].afterText = 	  ["You can catch POKMON even if you have six with you.", "If you catch one, it'll go to your Box automatically.",
																"Well, uh, it would NORMALLY. Not in GS/SS yet though!"];
	Enemies["Bug Catcher Wade"].money = 32;





//Your rival
Enemies["Rival Cherrygrove"] = new Enemy();
	Enemies["Rival Cherrygrove"].type = "trainer";
	Enemies["Rival Cherrygrove"].trainertype = "Rival";
	Enemies["Rival Cherrygrove"].trainername = "???";
	
	Enemies["Rival Cherrygrove"].pokemon = new Array();
	Enemies["Rival Cherrygrove"].pokemon[0] = PokemonList[1];	//This is the RIVAL, so remember to set this up later.
	
	Enemies["Rival Cherrygrove"].beatenText = ["Humph. Are you happy you won?"];
	Enemies["Rival Cherrygrove"].money = 300;




/*
Enemies[""] = new Enemy();
	Enemies[""].type = "trainer";
	Enemies[""].trainertype = "";
	Enemies[""].trainername = "";
	
	Enemies[""].pokemon = new Array();
	Enemies[""].pokemon[0] = PokemonList[1];
	Enemies[""].pokemon[1] = PokemonList[1];
	Enemies[""].pokemon[2] = PokemonList[1];
	Enemies[""].pokemon[3] = PokemonList[1];
	Enemies[""].pokemon[4] = PokemonList[1];
	Enemies[""].pokemon[5] = PokemonList[1];
	
	Enemies[""].encounterText = 		[""];
	Enemies[""].beatenText = 			[""];
	Enemies[""].afterText = 			[""];
	Enemies[""].money = 0;
*/


























//Wee!