//DayNight.js

//Day / Night Regulation.
//Now automated per map!

var Time = new Date();

var evening = false;		//Is it evening/night?


function SetDayNight()
{

	//First, read on which map we are.
	switch(GetCurrentMap())
	{
		default: Player.outside = false; break;
		case "NewBarkTown.rmp":		Player.outside = true; break;
		case "NewBark_inside.rmp":	Player.outside = false; break;
		
		case "Route27.rmp": 				Player.outside = true; break;
		case "Route29.rmp": 				Player.outside = true; break;
		case "Route30.rmp": 				Player.outside = true; break;
		case "Route31.rmp": 				Player.outside = true; break;
		case "CherrygroveCity.rmp":	Player.outside = true; break;
		case "PalletTown.rmp": 			Player.outside = true; break;
		case "Tohjo_Falls.rmp": 		Player.outside = true; break;
		case "SilentCanyon.rmp":		Player.outside = true; break;
		case "TucsonHill.rmp":			Player.outside = true; break;
		case "VioletCity.rmp":			Player.outside = true; break;
		case "ViridianCity.rmp":		Player.outside = true; break;
		
	}
	
	
	//Read the new time.
	Time = new Date();
	
	if ((Time.getHours() <= 6 || Time.getHours() >= 18) && Player.outside == true)
	{
		evening = true;
		
		if (Time.getHours() <= 2 || Time.getHours() >= 22)
			SetColorMask(Transparent(Black, 150), 0);
		
		else
			SetColorMask(Transparent(Black, 100), 0);
	}
	
	
	else
	{
		evening = false;
		SetColorMask(CreateColor(255, 255, 255, 255), 0);
	}
	
}

//That's it for now!
