//Items.js
//Item info & Menu

//TO BE IMPROVED LATER


var CurrentBagOption = 0;
//var ItemsTotal = new Array();

var FirstInList = 0;
var selected;
var StartItem = false;
var ScreenPrint = GrabImage(0,0,GetScreenWidth(),GetScreenHeight());


//Make an item.
function Item(name, amount, type, effect, strength, battle_available, field_available)
{
this.name = name;
this.amount = amount;
this.type = type;
this.effect = effect;
this.strength = strength;
this.battle_available = battle_available;
this.field_available = field_available;
}


//TYPES
var type_normal = "Normal item";
var type_balls = "Poke ball";
var type_TMs = "TM or HM";
var type_key = "Key item";

//var ShowingType = type_normal;

var ShowingTypeNames = new Array("Items", "Poke Balls", "TMs & HMs", "Key Items");
var CurrentTypeName;



//==============//
//THE ITEMS
//==============//
//var NameToCallItemUnder = new Item("name", amount, type, effect, strength, battle-available, field_available);

//Cancel button is an item too!
var CancelButton = new Item("Close Bag", "", "", "CloseBag", 1, true, true);

var PokeBall = new Item("Pok ball", 0, type_balls, "Catch", 1, true, false);
var MegaBall = new Item("Mega Ball", 0, type_balls, "Catch", 3, true, false);
var UltraBall = new Item("Ultra Ball", 0, type_balls, "Catch", 5, true, false);

var Potion = new Item("Potion", 0, type_normal, "Heal", 20, true, true);
var MegaPotion = new Item("Mega Potion", 0, type_normal, "Heal", 100, true, true);
var UltraPotion = new Item("Ultra Potion", 0, type_normal, "Heal", 250, true, true);
var FreshWater = new Item("Fresh Water", 0, type_normal, "Heal", 50, true, true);
var Lemonade = new Item("Lemonade", 0, type_normal, "Heal", 80, true, true);


var berries = new Object();
berries.bitterberry = new Item("Bitter Berry", 0, type_normal, "cure poison", 1, true, true);
berries.berry = new Item("Berry", 0, type_normal, "Heal", 20, true, true);



//Key Items
//With Key Items, the effect is "KeyItem" and the strength doesn't matter.
var ElmBall = new Item("Elm's Pokball", 0, type_key, "KeyItem", 1, false, false);

var Dummy2 = new Item("Dummy2", 0, type_normal, "Heal", 10, true, true);
var Dummy3 = new Item("Dummy3", 0, type_normal, "Heal", 10, true, true);
var Dummy4 = new Item("Dummy4", 0, type_normal, "Heal", 10, true, true);
var Dummy5 = new Item("Dummy5", 0, type_normal, "Heal", 10, true, true);


//ITEMS THE PLAYER HAS
var PlayerItems = new Array();


//DEBUG.
function DebugItemMenu()
{
	var current = FirstInList + CurrentBagOption;
	
	if (PlayerItems[current] != undefined)
	{
		MenuFont.drawText(0, 200, FirstInList + CurrentBagOption);
		MenuFont.drawText(0,220, PlayerItems[current].name + ", " + PlayerItems[current].effect + ", " + selected);
	}
}


//Stuff that REALLY should be prepared before launching OpenBag.
function PrepareOpenBag()
{
//Add cancel button to Bag.
PlayerItems[PlayerItems.length] = CancelButton;
CurrentSelected = FirstInList + CurrentBagOption;
selected = PlayerItems[CurrentSelected].name;

OpenBag();
}


//Open and regulate bag.
function OpenBag()
{
var x = 200;
var width = GetScreenWidth() - x - 10;

//Set type name.
CurrentTypeName = PlayerItems[FirstInList + CurrentBagOption].type;

//DRAWING STUFF
if (IsMapEngineRunning()) RenderMap();

ItemBack.blit(0,0);
BagPicture.blit(50, 20);
InventoryWindow.drawWindow(x, 15, width, MenuSpacing * 6 + 5);

//Item type box
ItemTypeBox.blit(x - 89, 100);
MenuFont.drawTextBox(x - 87, 102, 75, 15, 0, CurrentTypeName);

//ItemInfo stuff here.
BlitItems();
MenuRing.drawWindow(x + 2, 20 + (MenuSpacing*CurrentBagOption) - 2, width - 4, MenuSpacing - 2);

if (DebugMode) DebugItemMenu();

RenderStuff();
var CurrentSelected = FirstInList + CurrentBagOption;

//KEY CODES, COMMANDS
GetKey();

if (IsKeyPressed(KEY_UP) && CurrentBagOption > 0)
{
	sound["beep"].stop();
	sound["beep"].play(false);
	CurrentBagOption--;
}

else if (IsKeyPressed(KEY_UP) && CurrentBagOption == 0)
{
	if (FirstInList > 0)
	{
		sound["beep"].stop();
		sound["beep"].play(false);
		FirstInList --;
	}
}

//If Key down is pressed AND the cursor points at the last option AND the cursor is not exceeding the item list...
else if (IsKeyPressed(KEY_DOWN) && CurrentBagOption < 5 && FirstInList + CurrentBagOption < PlayerItems.length - 1)
{
	//Scroll down an option.
	sound["beep"].stop();
	sound["beep"].play(false);
	CurrentBagOption++;
}

else if (IsKeyPressed(KEY_DOWN) && CurrentBagOption == 5)
{
	if (FirstInList < PlayerItems.length - 6)
	{
		sound["beep"].stop();
		sound["beep"].play(false);
		FirstInList ++;
	}
}

else if (IsKeyPressed(KEY_CTRL))
{
	sound["beep"].stop();
	sound["beep"].play(false);

	//If the selected item slot isn't empty AND if it isn't the CloseBag item...
	if (PlayerItems[CurrentSelected] != undefined && PlayerItems[CurrentSelected].effect != "CloseBag")
	{
		CheckSelectedItem();
	}
	
	else
	{
		//Remove Cancelbutton from list.
		PlayerItems.splice(PlayerItems.length - 1, 1);
		
		//Clear Bag values so when reopened it starts correctly.
		ClearBagValues();
		return;
	}
}

else if (IsKeyPressed(KEY_ALT))
{
	sound["beep"].stop();
	sound["beep"].play(false);
	
	//Remove Cancelbutton from list.
	PlayerItems.splice(PlayerItems.length - 1, 1);
	ClearBagValues();
	return;
}

var CurrentSelected = FirstInList + CurrentBagOption;
if (PlayerItems[CurrentSelected] != undefined)
{
	selected = PlayerItems[CurrentSelected].name;
}

OpenBag();
}


//Blit the items on the screen.
function BlitItems()
{
var x = 200;
var width = GetScreenWidth() - x - 10;

var n = FirstInList;
var p = 0;
var total = PlayerItems.length;

for (n = FirstInList; n < FirstInList + 6; n++)
{
	if (PlayerItems[n] != undefined)
	{
		MenuFont.drawTextBox(x + 5, (p * MenuSpacing) + 20, 90, 20, 0, PlayerItems[n].name);
		MenuFont.drawText(x + 94, (p * MenuSpacing) + 20, PlayerItems[n].amount);
	}
	p++;
}
}


//========================
//			CHECK SELECTED ITEM
//========================
function CheckSelectedItem()
{
	TextBox.mapEngine = false;
	TextBox.surface = true;
	
	var ChosenOption = ItemSelectedMenu();
	
	//USE ITEM
	if (ChosenOption == 0)
	{
		if (!IsInBattle)
		{
			if (PlayerItems[FirstInList + CurrentBagOption].field_available == false)
			{
				TextBox("This isn't the time to use that!");
				return;
			}
			
			else
			{
				//LAST CHECK: does the player even have Pokmon?
				if (PlayerPokemon[0] == undefined)
					TextBox("You don't have any POKMON!");
				
				else
					ExecuteItemField();
				
				return;
			}
		}
		
		else if (IsInBattle)
		{
			if (PlayerItems[FirstInList + CurrentBagOption].battle_available == false)
			{
				TextBox("This isn't the time to use that!");
				return;
			}
			
			else
			{
				//ExecuteItemBattle();
				return;
			}
		}
	}
	
	//GIVE ITEM
	else if (ChosenOption == 1)
	{
		TextBox("No giving items to Pokmon yet.");
	}
	
	//TOSS ITEM
	else if (ChosenOption == 2)
	{
		//If item isn't a key item
		if (PlayerItems[FirstInList + CurrentBagOption].type != type_key)
		{
			//if amount is 1 or lower
			if (PlayerItems[FirstInList + CurrentBagOption].amount <= 1)
			{
				PlayerItems.splice(FirstInList + CurrentBagOption, 1);
				CurrentItemSelectOption = 0;
				ItemAnswer = 0;
			}
		
			//If amount is 2 or higher
			else
			{
				PlayerItems[FirstInList + CurrentBagOption].amount --;
				CurrentItemSelectOption = 0;
				ItemAnswer = 0;
			}
		}
		
		//If item IS a key item
		else
		{
			TextBox("This item is too important to be tossed!");
		}
	}
	
	//CANCEL
	else if (ChosenOption == 3)
	{
		CurrentItemSelectOption = 0;
		ItemAnswer = 0;
		return;
	}

	sound["beep"].stop();
	sound["beep"].play(false);
	
	TextBox.mapEngine = true;
	TextBox.surface = false;
}




function ClearBagValues()
{
	CurrentBagOption = 0;
	FirstInList = 0;
	
}




//-----------------------
//ITEM SELECTED MENU
//-----------------------
function ItemSelectedMenu()
{
	//NEW! IMPROVED! HUGE CHUNK OF CODE REPLACED BY THREE LINES!
	var options = new Array("USE", "GIVE", "TOSS", "CANCEL");
	Menu(110, 100, 100, options);
	return Result;
}






//===========================
//			ITEM ADDING
//===========================

function AddItem(name, amount)
{
	var n = 0;
	
	//Check if player already has one of the items.
	for (n = 0; n < PlayerItems.length; n++)
	{
		//If the current checked item is the same as the item in the list...
		if (name == PlayerItems[n])
		{
			PlayerItems[n].amount += amount;
			
			//If amount goes above 100...
			if (PlayerItems[n].amount >= 100)
			{
				TextBox("You can't carry any more of this item!");
				PlayerItems[n].amount = 99;
			}
		return;
		}
	}
	
	//If the above didn't finish, we'll have to add in an item slot.
	PlayerItems.splice(PlayerItems.length, undefined, name);
	PlayerItems[PlayerItems.length - 1].amount += amount;
	
}






//================================
//					ITEM EXECUTION
//
//				For using items in the field.
//================================
var usedItem = false;

function ExecuteItemField()
{
	//Select Pokmon and return code.
	PokemonMenu();

	if (usedItem == true)
	{
		ItemExecuteCheck();
		CheckRemoveItem();
		usedItem = false;
	}
}


//CHECK IF ITEM SHOULD BE DELETED
function CheckRemoveItem()
{
if (PlayerItems[FirstInList + CurrentBagOption].amount <= 0)
{
	PlayerItems.splice(FirstInList + CurrentBagOption, 1);
}
}


//CHECKING THE EXECUTED ITEM TYPE AND EXECUTING IT
//You don't have to worry about removing an item from the bag here, because all the checking-functions
//before this one did it all. Executing is the only thing left now! ;)
function ItemExecuteCheck()
{
//Look at item sort.
var item = FirstInList + CurrentBagOption;

	//HEAL
	if (PlayerItems[FirstInList + CurrentBagOption].effect == "Heal")
	{
		//Check if the Pokmon needs healing or not.
		if (PlayerPokemon[PMResult].HP == PlayerPokemon[PMResult].maxHP)
		{
			TextBox("This Pokmon has full health already.");
		}
		
		//Pokmon needs healing.
		else
		{
			//If current HP + healing exceeds the Pokmon's Max HP...
			if ((PlayerPokemon[PMResult].HP + PlayerItems[item].strength) > PlayerPokemon[PMResult].maxHP)
			{
				//Set the current HP to the Max HP.
				PlayerPokemon[PMResult].HP = PlayerPokemon[PMResult].maxHP;
				PlayerItems[item].amount--;
			}
			
			//If current HP + healing is lower than the max... Just fill up.
			else
			{
				PlayerPokemon[PMResult].HP += PlayerItems[item].strength;
				PlayerItems[item].amount--;
			}
			
			Delay(250);
			sheal.play(false);
			//Insert Flashy Flashy Execute Stuff here later.
			
		//Close healing thing.
		}
	//Close full-HP check thing.
	}
	
	
	else if (PlayerItems[FirstInList + CurrentBagOption].effect == "Catch")
	{
		
	}
	
	
}