//Pokemon.js

//Contains all data and data structures for Pokmon creatures.

/*
Holy shit this is A LOT! I have to define like 250 Pokmon, AND all their moves,
AND all their stats, AND their learning and evolving... There will be like 250 seperate text
files containing the Pokmon and their stats...

If you want to help me complete this list, please contact me. I'd be VERY grateful and
you will be added to the credits screen. Look in readme.txt in save\Pokemon.
-- DaVince
*/

//======================
//		MAIN POKMON VARS
//======================

var DEXfile = OpenFile("PokeDEX.dex");

var PlayerPokemon = new Array();
//Will contain all player's Pokmon.

var PokemonList = new Array();
//Will contain the entire Pokmon listing and stats.

var TotalPokemon = 250;		//The total amount of Pokmon.
var pkmnFile;

var PokemonAmount = PlayerPokemon.length;		//+ Box[0].length + Box[1].length etc.
var PokemonAmountInList = 0;

var Box = new Array(25);		//Max 25 boxes.

var male = true;
var female = false;

//Status
var s_ok = 0;
var s_poison = 1;
var s_paralyze = 2;


//The Pokmon object.
function Pokemon()
{
	//Stats defined in the Pokmon object.
	this.name;
	this.nickname;
	this.gender;
	this.number;
	this.type;
	this.type2;
	this.item;
	this.nature;
	this.FindPlace;
	this.FindLevel;
	this.level;
	this.HP;
	this.maxHP;
	this.attack;
	this.defense;
	this.special_attack;
	this.special_defense;
	this.speed;
	this.experience;
	this.exp_to_next_level;
	this.growspeed;
	this.ability;
	this.status;
	this.evolve_to;
	this.evolve_at_level;
	
	this.PlayerHasItInList;
	this.listposition;
	
	this.moves = new Array();
	this.learnMoves = new Array();
	this.learnMoveLevels = new Array();
	
	this.DEXinfo = "";
	
	//New!
	this.image;
	this.OT;
	this.ID;
}


//==========================
//		POKMON LISTING & STATS
//	Listing is spreaded over multiple files.
//==========================
//Should be started at the start of the game.
//This function simply fills in most of the PokemonList Array, which will contain all stats and Pokmon.
//The PokemonList is not directly used for getting Pokmon stats: it is merely intended for receiving data
//from files. The file-loaded data will always stay in this array, and is copied to an empty slot in the
//PlayerPokemon array when the player gets a new Pokmon.

function CreatePokemonListing()
{
	for (var i = 1; i <= TotalPokemon; i++)
	{
		//Make the array part a Pokmon.
		PokemonList[i] = new Pokemon();
		
		//Make the right file load.
		//File will be called Pokemon[[currentID]].pkm and it will be located in the Pokemon dir in the saves dir.
		pkmnFile = OpenFile("../Data/Pokemon/Pokemon" + i + ".pkm");
		
		//Load the stats from the current file.
		/*
		PokemonList[i].name = pkmnFile.read("name", "");
		PokemonList[i].type = pkmnFile.read("type", "");
		PokemonList[i].type2 = pkmnFile.read("type2", "");
		PokemonList[i].growspeed = pkmnFile.read("growspeed", 20);	//Default growing speed is 20.
		*/
		
		
		//===============================
		//NEW POKMON DATA LOAD SYSTEM!
		//===============================
		
		//General shit
		PokemonList[i].name = pkmnFile.read("Name", "");
		PokemonList[i].nickname = undefined;
		PokemonList[i].gender = ""		//Do a random later.
		PokemonList[i].number = i;
		PokemonList[i].type = pkmnFile.read("Type", "");
		PokemonList[i].type2 =  pkmnFile.read("Type2", "");
		PokemonList[i].item = undefined;
		PokemonList[i].nature = pkmnFile.read("Nature", "");
		
		//Where found
		PokemonList[i].FindPlace = undefined;
		PokemonList[i].FindLevel = undefined;
		
		//Pokmon fight stats
		PokemonList[i].level = 5;
		PokemonList[i].maxHP = pkmnFile.read("MaxHP", 15);
		PokemonList[i].HP = PokemonList[i].maxHP;
		PokemonList[i].attack = pkmnFile.read("Attack", 15);
		PokemonList[i].defense = pkmnFile.read("Defense", 15);
		PokemonList[i].special_attack = pkmnFile.read("Special_attack", 10);
		PokemonList[i].special_defense = pkmnFile.read("Special_defense", 10);
		PokemonList[i].speed = pkmnFile.read("Speed", 10);
		
		//Levels
		PokemonList[i].experience = 0;
		PokemonList[i].exp_to_next_level = pkmnFile.read("Experience_to_next_level", 100);
		PokemonList[i].growspeed = pkmnFile.read("Growspeed", 20);
		PokemonList[i].ability = pkmnFile.read("Ability", "");
		
		//Status
		PokemonList[i].status = "OK";
		
		//Evolving
		PokemonList[i].evolve_to = pkmnFile.read("Evolve_to", "");
		PokemonList[i].evolve_at_level = pkmnFile.read("Evolve_level", "");
		
		//Some stuff about the Pokmon being in your Pokmon inventory
		PokemonList[i].PlayerHasItInList = undefined;
		PokemonList[i].listposition = undefined;
		
		
		//PokemonList[i].image = LoadImage("Pokemon/" + i + ".png");
		//The above doesn't work here; loading 153 images at start is too much for Sphere. Find fix.
		
		
		//Moves
		//First off: Loading base moves and the levels they are learnt in.
		//Each Pokmon can learn up to 10 moves in 10 different levels.
		//Those are stored in 1learnMoves# and 1learnMoveLevels#.
		//The 1 in front is to keep things organized in the file. ;)
		
		for (var n = 0; n < 10; n++)
		{
			PokemonList[i].learnMoves[n] = pkmnFile.read("1learnMoves" + n, undefined);
			PokemonList[i].learnMoveLevels[n] = pkmnFile.read("1learnMoveLevels" + n, undefined);
		}
		
		
		//When getting a wild/new Pokmon, I should make sure that the moves are loaded!
		//This is done here.
		//lol, ridiculous pyramid indentation
		
		for (var n = 0; n < 10; n++)
		{
			//If Level > level of a move to be learnt: add it to the Pokmon's move list.
			//But watch the 4 move limit!
			if (PokemonList[i].level > PokemonList[i].learnMoveLevels[n] && PokemonList[i].moves.length < 4)
			{
				for (var m = 0; m < 4; m++)
				{
					if (PokemonList[i].moves[m] == undefined)
					{
						PokemonList[i].moves[m] = PokemonList[i].learnMoves[n];
						break;
					}
				}
			}
		}
				
		
		
		
		
		//this.moves = new Array();
		//this.learnMoves = new Array();
		//this.learnMoveLevels = new Array();
		
		
		//Load more stats, but not from the file.
		PokemonList[i].DEXinfo = DEXfile.read(PokemonList[i].name, "");
		
	}
}





//Add a Pokmon.
//TODO: notification when there's no room in your PlayerPokemon team anymore.
function AddPokemon(DEXnumber)
{
	//Check through the player Pokmon list for the first empty space.
	for (var i = 0; i < 6; i++)
	{
	
		//Empty space found? Add Pokmon 'DEXnumber' to this space and assign standard stats!
		if (PlayerPokemon[i] == undefined)
		{
			PlayerPokemon[i] = PokemonList[DEXnumber];
			PlayerPokemon[i].item = undefined;
			
			PlayerPokemon[i].HP = PlayerPokemon[i].maxHP;
			
			//More to come...
			break;
		}
	}
}
