//moves.js
//Contains what all moves do.



//=========================
//LOAD MOVE STATS (strength & accuracy)
//Done per Javascript and not per file, might be temp but this is it for now.
//=========================
var MoveStats = new Object();


function Move(power, accuracy, type)
{
	this.power = power;
	this.accuracy = accuracy;
	this.type = type;
}


function LoadMoveStats()
{
	MoveStats["TACKLE"] = new Move(35, 95, "attack");
	MoveStats["SCRATCH"] = new Move(40, 100, "attack");
	
	MoveStats["ABSORB"] = new Move(20, 100, "absorb HP");
	MoveStats["LEER"] = new Move(0, 0, "lower ATK");
	
	//...
}



//=========================
//DO THE ASSIGNED MOVE (battle)
//===============

function DoMove(move, WhoDoes, WhoTakes, WhoseTurn)
{
	/*
	//Setup textbox for move text.
	TextBox.playSound = false;
	//TextBox.getKey = false;
	TextBox.mapEngine = false;
	TextBox.surface = true;
	TextBox.arrow = false;
	*/
	
	var OtherTurn;
	
	if (WhoseTurn == "player") WhoseTurn = Player.Name + "'s", OtherTurn = "Foe";
	else WhoseTurn = "Foe", OtherTurn = Player.Name + "'s";
	
	if (MoveStats[move] != undefined)
	{
		//MOVE TYPES
		
		//NORMAL HIT ATTACK
		if (MoveStats[move].type == "attack")
		{
			var damage = Math.round(Random(WhoDoes.attack, WhoDoes.attack*2) - Random(WhoTakes.defense/2, WhoTakes.defense));
			damage = Math.round((MoveStats[move].power/100) * damage);
			if (damage < 0) damage = 0;
			WhoTakes.HP -= damage;
			TextBox(WhoseTurn + " " + WhoDoes.name + " used " + move + "!");
			TextBox(WhoseTurn + " " + WhoDoes.name + " inflicted " + damage + " damage on " + OtherTurn + " " + WhoTakes.name + "!");
		}
		
		
		//MOVING HP FROM ONE POKEMON TO THE ENEMY
		else if (MoveStats[move].type == "absorb HP")
		{
			var damage = Math.round(Random(WhoDoes.attack, WhoDoes.attack*2) - Random(WhoTakes.defense/2, WhoTakes.defense));
			damage = Math.round((MoveStats[move].power/100) * damage);
			if (damage < 0) damage = 0;
			WhoTakes.HP -= damage;
			WhoDoes.HP += Math.round(damage/2);
			TextBox(WhoseTurn + " " + WhoDoes.name + " used " + move + "!");
			TextBox(WhoseTurn + " " + WhoDoes.name + " inflicted " + damage + " damage on " + OtherTurn + " " + WhoTakes.name + "!");
			TextBox(WhoseTurn + " " + WhoDoes.name + " regains " + Math.round(damage/2) + " HP!");
		}
		
		
		//LOWER ENEMY'S ATTACK
		/*
		else if (MoveStats[move].type == "lower ATK")
		{
			var damage = WhoDoes.special_attack / 5;
			if (damage < 0) damage = 0;
			WhoTakes.attack -= damage;
			TextBox(WhoseTurn + " " + WhoDoes.name + " used " + move + "!");
			TextBox(WhoseTurn + " " + WhoDoes.name + " lowered "  + OtherTurn + "'s attack by " + damage + "!");
		}
		*/
		
		
		else
			TextBox("This move is not available yet!");
	}
	
	
	
	
	/*
	//Revert textbox settings to normal.
	TextBox.playSound = true;
	//TextBox.getKey = true;
	TextBox.mapEngine = true;
	TextBox.surface = false;
	TextBox.arrow = true;
	*/
}
